
Foreman - Bug #6863

Foreman shouldn't use facts of machine to determine VM ip

07/31/2014 08:55 AM - Jon Skarpeteig

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1. Create new machine - manually type in wanted IP.

2. Install docker in VM, which creates interface docker0

3. Edit machine in Foreman

This results in Foreman setting ip 172.x in the GUI - which doesn't match subnet, DNS or DHCP option. Trying to save your edited

host results in DHCP conflict - which it's unable to resolve since 172.x is not a valid subnet in DHCP.

Manually typing the correct IP address also doesn't solve this, as Foreman still attempts to save using the 172.x as seen by facter.

Foreman should simply ignore facter with regards to IP, and always use the user inputted value.

Related issues:

Is duplicate of Foreman - Bug #3864: Change ignore_puppet_facts_for_provision... Rejected 12/12/2013

History

#1 - 07/31/2014 10:11 AM - Dominic Cleal

- Is duplicate of Bug #3864: Change ignore_puppet_facts_for_provisioning default to true added

#2 - 07/31/2014 10:12 AM - Dominic Cleal

- Status changed from New to Duplicate

Set ignore_puppet_facts_for_provisioning to true under Adminster>Settings>Provisioning and the update-from-Facter behaviour will be disabled.  

#3864 tracks changing the default value, I'd prefer it to be on too.
